SHRED(1)

NAZWA
shred - nadpisuje każdy plik aby ukryć jego zawartość i opcjonalnie usuwa go

SKŁADNIA
shred [OPCJA]... PLIK...

OPIS

Wielokrotnie nadpisuje podane PLIK(I), w celu utrudnienia odzyskania jego zawartości, nawet przy użyciu bardzo drogich urządzeń do odzyskiwania danych

Jeśli jako PLIK podano -, zamazuje standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-f, --force
    zmienia uprawnienia aby umożliwić zapis, jeśli to konieczne

-n, --iterations=N
    nadpisuje plik N razy zamiast domyślnych trzech

--random-source=PLIK
    pozyskuje dane losowe z PLIKU

-s, --size=N
    zamazuje daną liczbę bajtów (akceptowane są przyrostki K, M, G itp.)

-u  przycina i kasuje plik po nadpisaniu

--remove[=JAK]
    jak -u, lecz umożliwia wybranie JAK usunąć; zob. niżej

-v, --verbose
    pokazuje postęp

-x, --exact
    nie zaokrągla rozmiarów plików do kolejnego pełnego bloku; jest to domyślne ustawienia dla wszystkich plików poza zwykłymi

-z, --zero
    dodaje końcowe nadpisywanie zerami, aby ukryć użycie zamazywania

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Usuwa PLIK(I) tylko jeśli użyto opcji --remove (-u). Nie jest to ustawienie domyślne, gdyż program często działa na plikach urządzeń, takich jak /dev/hda, które z reguły nie powinny być usuwane. Podczas pracy na zwykłych plikach, powinno się zwykle użyć opcji --remove. Opcjonalny argument JAK wskazuje jak usunąć wpis katalogu: unlink => użyje standardowego wywołania unlink. wipe => dodatkowo ukryje bajty w nazwie. wipesync => dodatkowo wykona sync po każdym ukrytym bajcie zapisanym na dysk. Domyślnym trybem jest wipesync, ale może być on powolny.

UWAGA: Działanie programu shred opiera się na istotnym założeniu: że system plików nadpisuje dane w tym samym miejscu, gdzie je wcześniej zapisał. Jest to tradycyjny sposób działania, ale wiele nowocześnie zaprojektowanych systemów plików nie spełnia tego założenia. Poniższe, są przykładami systemów plików, na których shred nie działa efektywnie lub nie ma gwarancji, że jest efektywny we wszystkich trybach pracy danego systemu plików:

* systemy plików oparte na logowaniu i dzienniku, takie jak dostarczane z systemami AIX i Solaris (oraz JFS, ReiserFS, XFS, Ext3 itd.);

* systemy plików zapisujące nadmiarowe dane i działające nawet przy występowaniu pewnej liczby błędów zapisu, takie jak działające w oparciu o RAID;

* systemy plików tworzące migawki, takie jak serwer NFS Network Appliance;

* systemy plików zapisujące pamięć podręczną w lokalizacjach tymczasowych, takie jak klienty NFS w wersji 3;

* skompresowane systemy plików.

W przypadku systemów plików ext3, powyższe uwagi odnoszą się jedynie do trybu data=journal, który oprócz metadanych, zapisuje do pliku dziennika również dane plików (shred ma wówczas ograniczoną efektywność). W trybie data=ordered (domyślnym) i data=writeback, shred działa normalnie. Tryby dziennika ext3 mogą być zmieniane przez dodanie opcji data=ustawienie do opcji montowania danego systemu plików w pliku /etc/fstab, zgodnie z dokumentacją podręcznika man programu mount (dostępną po wydaniu polecenia man mount).

Oprócz tego, kopie zapasowe oraz zdalne serwery lustrzane mogą zawierać kopie pliku, które nie mogą zostać usunięte, co może pozwolić na odtworzenie wymazanego pliku.

AUTOR
Napisane przez Colina Plumba.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu shred proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/shred>
lub lokalnie, za pomocą info '(coreutils) shred invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.